## org.biojava.bio.symbol
Class SimpleSymbolPropertyTable

    java.lang.Object
      org.biojava.bio.symbol.SimpleSymbolPropertyTable

All Implemented Interfaces:
  SymbolPropertyTable

public class SimpleSymbolPropertyTable
extends java.lang.Object
implements SymbolPropertyTable

Class that implements the SymbolPropertyTable interface

Author:
  Mike Jones (primary author), David Huen (minor, extended class to cover pK)

Field Summary

Fields inherited from interface org.biojava.bio.symbol.SymbolPropertyTable
`AVG_MASS, MONO_MASS, PK`

Constructor Summary
`SimpleSymbolPropertyTable(Alphabet source, java.lang.String name)`

Method Summary
`Alphabet` `getAlphabet()`
`double` `getDoubleValue(Symbol s)`
`java.lang.String` `getName()`
`void` `setDoubleProperty(Symbol s, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSymbolPropertyTable

    public SimpleSymbolPropertyTable(Alphabet source,
                                     java.lang.String name)

Method Detail

### setDoubleProperty

    public void setDoubleProperty(Symbol s,
                                  java.lang.String value)
                           throws IllegalSymbolException

  Throws:
    `IllegalSymbolException`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `SymbolPropertyTable`

### getAlphabet

    public Alphabet getAlphabet()

  Specified by:
    `getAlphabet` in interface `SymbolPropertyTable`

### getDoubleValue

    public double getDoubleValue(Symbol s)
                          throws IllegalSymbolException

  Specified by:
    `getDoubleValue` in interface `SymbolPropertyTable`
  Throws:
    `IllegalSymbolException`